package com.bbitcn.silk.model.net;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * @Description TODO
 * @Author DuanKaiji
 * @CreateTime 2024年04月03日 15:58:17
 */
public class Statistics {

    @SerializedName("result")
    private Boolean result;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private DataDTO data;

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public DataDTO getData() {
        return data;
    }

    public void setData(DataDTO data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("summaozhong")
        private Double summaozhong;
        @SerializedName("sumpizhong")
        private Double sumpizhong;
        @SerializedName("sumkouzhong")
        private Double sumkouzhong;
        @SerializedName("sumjingzhong")
        private Double sumjingzhong;
        @SerializedName("price")
        private Double price;
        @SerializedName("summoney")
        private Double summoney;
        @SerializedName("items")
        private List<ItemsDTO> items;

        public Double getSummaozhong() {
            return summaozhong;
        }

        public void setSummaozhong(Double summaozhong) {
            this.summaozhong = summaozhong;
        }

        public Double getSumpizhong() {
            return sumpizhong;
        }

        public void setSumpizhong(Double sumpizhong) {
            this.sumpizhong = sumpizhong;
        }

        public Double getSumkouzhong() {
            return sumkouzhong;
        }

        public void setSumkouzhong(Double sumkouzhong) {
            this.sumkouzhong = sumkouzhong;
        }

        public Double getSumjingzhong() {
            return sumjingzhong;
        }

        public void setSumjingzhong(Double sumjingzhong) {
            this.sumjingzhong = sumjingzhong;
        }

        public Double getPrice() {
            return price;
        }

        public void setPrice(Double price) {
            this.price = price;
        }

        public Double getSummoney() {
            return summoney;
        }

        public void setSummoney(Double summoney) {
            this.summoney = summoney;
        }

        public List<ItemsDTO> getItems() {
            return items;
        }

        public void setItems(List<ItemsDTO> items) {
            this.items = items;
        }

        public static class ItemsDTO {
            @SerializedName("sgtypesysid")
            private String sgtypesysid;
            @SerializedName("sgtypename")
            private String sgtypename;
            @SerializedName("maozhong")
            private Double maozhong;
            @SerializedName("pizhong")
            private Double pizhong;
            @SerializedName("kouzhong")
            private Double kouzhong;
            @SerializedName("jingzhong")
            private Double jingzhong;
            @SerializedName("price")
            private Double price;
            @SerializedName("money")
            private Double money;

            public String getSgtypesysid() {
                return sgtypesysid;
            }

            public void setSgtypesysid(String sgtypesysid) {
                this.sgtypesysid = sgtypesysid;
            }

            public String getSgtypename() {
                return sgtypename;
            }

            public void setSgtypename(String sgtypename) {
                this.sgtypename = sgtypename;
            }

            public Double getMaozhong() {
                return maozhong;
            }

            public void setMaozhong(Double maozhong) {
                this.maozhong = maozhong;
            }

            public Double getPizhong() {
                return pizhong;
            }

            public void setPizhong(Double pizhong) {
                this.pizhong = pizhong;
            }

            public Double getKouzhong() {
                return kouzhong;
            }

            public void setKouzhong(Double kouzhong) {
                this.kouzhong = kouzhong;
            }

            public Double getJingzhong() {
                return jingzhong;
            }

            public void setJingzhong(Double jingzhong) {
                this.jingzhong = jingzhong;
            }

            public Double getPrice() {
                return price;
            }

            public void setPrice(Double price) {
                this.price = price;
            }

            public Double getMoney() {
                return money;
            }

            public void setMoney(Double money) {
                this.money = money;
            }
        }
    }
}
